#!/usr/bin/perl 
# Example musicmpdscrobble.conf file
#
# This is a perl file.  It must be a hash reference.  This means a comma between 
# key / value pairs.
#
# To check syntax run perl -c musicmpdscrobble.conf
#

{ 
# LastFM Username and Password
	lastfm_username   => "riemann42", 
	lastfm_password   => "secret", 

# Specify last.fm client information.  Change this to code provided by last.fm
# if you are releasing an application that is not a demo or test.
# 
#   lastfm_client_id => "tst",
#   lastfm_client_version => "1.0",

# Specify mpd_server info.  Default is MPD_HOST or localhost
#       mpd_server => 'localhost',

# Specify mpd_port.  Default is MPD_PORT or 6600
#       mpd_port	=> 6600,

# If you have installed the Music::Tag module, set to 1.
	musictag	  => 0,

# If you want information from musictag to overwrite info from mpd (not recommended) set to 1
    musictag_overwrite => 0,

# Specify the music_directory path for MPD. 
   	music_directory		  => "/mnt/media/music/MP3s",

# Set the verbosity level.  1 through 4.  3 is a good medium 
  	verbose           => 3, 

#Specify the logfile path
   	logfile		  => "/var/log/musicmpdscrobble.log",

#Specify the file to write the pid to.
	pidfile => "/var/run/musicmpdscrobble.pid",

#Specify the file to store pending scrobbles in.
   	scrobble_queue	  =>  "/var/cache/musicmpdscrobble.queue",

#Automatically get missing mbid info:
#	get_mbid_from_mb  => 1,  	

# list of programs to run when a song start.  Accepts the following variables:
#
#   %f  filename
#   %a  Artist
#   %b  Album
#   %t  Title
#   %l  Length of track in seconds
#   %n  Track number
#   %m  mbid of track
#
#   runonstart => [],

# list of programs to run after song submit.
#   runonsubmit => [],
}; 


